declare const jsxA11y: {
    plugins: string[];
    rules: {
        'jsx-a11y/alt-text': string;
        'jsx-a11y/anchor-ambiguous-text': string;
        'jsx-a11y/anchor-has-content': string;
        'jsx-a11y/anchor-is-valid': string;
        'jsx-a11y/aria-activedescendant-has-tabindex': string;
        'jsx-a11y/aria-props': string;
        'jsx-a11y/aria-proptypes': string;
        'jsx-a11y/aria-role': string;
        'jsx-a11y/aria-unsupported-elements': string;
        'jsx-a11y/autocomplete-valid': string;
        'jsx-a11y/click-events-have-key-events': string;
        'jsx-a11y/control-has-associated-label': string;
        'jsx-a11y/heading-has-content': string;
        'jsx-a11y/html-has-lang': string;
        'jsx-a11y/iframe-has-title': string;
        'jsx-a11y/img-redundant-alt': string;
        'jsx-a11y/interactive-supports-focus': string;
        'jsx-a11y/label-has-associated-control': string;
        'jsx-a11y/label-has-for': string;
        'jsx-a11y/lang': string;
        'jsx-a11y/media-has-caption': string;
        'jsx-a11y/mouse-events-have-key-events': string;
        'jsx-a11y/no-access-key': string;
        'jsx-a11y/no-aria-hidden-on-focusable': string;
        'jsx-a11y/no-autofocus': string;
        'jsx-a11y/no-distracting-elements': string;
        'jsx-a11y/no-interactive-element-to-noninteractive-role': string;
        'jsx-a11y/no-noninteractive-element-interactions': (string | {
            handlers: string[];
        })[];
        'jsx-a11y/no-noninteractive-element-to-interactive-role': string;
        'jsx-a11y/no-noninteractive-tabindex': string;
        'jsx-a11y/no-redundant-roles': string;
        'jsx-a11y/no-static-element-interactions': string;
        'jsx-a11y/prefer-tag-over-role': string;
        'jsx-a11y/role-has-required-aria-props': string;
        'jsx-a11y/role-supports-aria-props': string;
        'jsx-a11y/scope': string;
        'jsx-a11y/tabindex-no-positive': string;
    };
};
export = jsxA11y;
