declare const bestPractice: {
    'accessor-pairs': string;
    'array-callback-return': (string | {
        allowImplicit: boolean;
    })[];
    'class-methods-use-this': (string | {
        exceptMethods: string[];
    })[];
    complexity: (string | number)[];
    'consistent-return': string;
    'consistent-this': string;
    'default-case': string;
    'default-case-last': string;
    'default-param-last': string;
    eqeqeq: string[];
    'func-name-matching': (string | {
        considerPropertyDescriptor: boolean;
    })[];
    'grouped-accessor-pairs': string;
    'guard-for-in': string;
    'id-length': (string | {
        min: number;
    })[];
    'init-declarations': string;
    'logical-assignment-operators': (string | {
        enforceForIfStatements: boolean;
    })[];
    'max-classes-per-file': (string | number)[];
    'max-depth': (string | number)[];
    'max-lines': (string | {
        max: number;
        skipBlankLines: boolean;
        skipComments: boolean;
    })[];
    'max-nested-callbacks': (string | {
        max: number;
    })[];
    'max-params': (string | number)[];
    'max-statements': (string | number)[];
    'object-shorthand': (string | {
        avoidQuotes: boolean;
        ignoreConstructors: boolean;
    })[];
    'operator-assignment': string[];
    'prefer-arrow-callback': (string | {
        allowNamedFunctions: boolean;
        allowUnboundThis: boolean;
    })[];
    'prefer-const': (string | {
        destructuring: string;
        ignoreReadBeforeAssign: boolean;
    })[];
    'prefer-destructuring': (string | {
        AssignmentExpression: {
            array: boolean;
            object: boolean;
        };
        VariableDeclarator: {
            array: boolean;
            object: boolean;
        };
        enforceForRenamedProperties?: undefined;
    } | {
        enforceForRenamedProperties: boolean;
        AssignmentExpression?: undefined;
        VariableDeclarator?: undefined;
    })[];
    'prefer-exponentiation-operator': string;
    'prefer-numeric-literals': string;
    'prefer-object-has-own': string;
    'prefer-object-spread': string;
    'prefer-promise-reject-errors': (string | {
        allowEmptyReject: boolean;
    })[];
    'prefer-regex-literals': (string | {
        disallowRedundantWrapping: boolean;
    })[];
    'prefer-rest-params': string;
    'prefer-spread': string;
    'prefer-template': string;
    radix: string;
    'require-await': string;
    'require-unicode-regexp': string;
    'require-yield': string;
    'symbol-description': string;
    'use-isnan': string;
    'valid-typeof': (string | {
        requireStringLiterals: boolean;
    })[];
    yoda: string;
};
export { bestPractice };
