declare const perfectionistGeneralRule: {
    'perfectionist/sort-array-includes': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-classes': (string | {
        groups: string[];
        order: string;
        type: string;
    })[];
    'perfectionist/sort-enums': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-exports': (string | {
        order: string;
        type: string;
    })[];
    'perfectionist/sort-imports': (string | {
        groups: string[];
        'newlines-between': string;
        order: string;
        type: string;
    })[];
    'perfectionist/sort-interfaces': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-jsx-props': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-map-elements': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-named-exports': (string | {
        order: string;
        type: string;
    })[];
    'perfectionist/sort-named-imports': (string | {
        order: string;
        type: string;
    })[];
    'perfectionist/sort-object-types': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-objects': (string | {
        'ignore-case': boolean;
        type: string;
    })[];
    'perfectionist/sort-union-types': (string | {
        order: string;
        type: string;
    })[];
};
export { perfectionistGeneralRule };
