declare const sonar: {
    plugins: string[];
    rules: {
        'sonarjs/no-duplicate-string': string;
        'sonarjs/cognitive-complexity': (string | number)[];
        'sonarjs/elseif-without-else': string;
        'sonarjs/max-switch-cases': string;
        'sonarjs/no-all-duplicated-branches': string;
        'sonarjs/no-collapsible-if': string;
        'sonarjs/no-collection-size-mischeck': string;
        'sonarjs/no-duplicated-branches': string;
        'sonarjs/no-element-overwrite': string;
        'sonarjs/no-empty-collection': string;
        'sonarjs/no-extra-arguments': string;
        'sonarjs/no-gratuitous-expressions': string;
        'sonarjs/no-identical-conditions': string;
        'sonarjs/no-identical-expressions': string;
        'sonarjs/no-identical-functions': string;
        'sonarjs/no-ignored-return': string;
        'sonarjs/no-inverted-boolean-check': string;
        'sonarjs/no-nested-switch': string;
        'sonarjs/no-nested-template-literals': string;
        'sonarjs/no-one-iteration-loop': string;
        'sonarjs/no-redundant-boolean': string;
        'sonarjs/no-redundant-jump': string;
        'sonarjs/no-same-line-conditional': string;
        'sonarjs/no-small-switch': string;
        'sonarjs/no-unused-collection': string;
        'sonarjs/no-use-of-empty-return-value': string;
        'sonarjs/no-useless-catch': string;
        'sonarjs/non-existent-operator': string;
        'sonarjs/prefer-immediate-return': string;
        'sonarjs/prefer-object-literal': string;
        'sonarjs/prefer-single-boolean-return': string;
        'sonarjs/prefer-while': string;
    };
};
export { sonar };
