declare const typescriptDisabledRule: {
    '@typescript-eslint/explicit-member-accessibility': string;
    '@typescript-eslint/explicit-module-boundary-types': string;
    '@typescript-eslint/init-declarations': string;
    '@typescript-eslint/no-non-null-assertion': string;
    '@typescript-eslint/no-redundant-type-constituents': string;
    '@typescript-eslint/prefer-enum-initializers': string;
    '@typescript-eslint/prefer-readonly-parameter-types': (string | {
        ignoreInferredTypes: boolean;
    })[];
    '@typescript-eslint/prefer-ts-expect-error': string;
    '@typescript-eslint/sort-type-constituents': string;
    '@typescript-eslint/strict-boolean-expressions': string;
    '@typescript-eslint/triple-slash-reference': string;
    '@typescript-eslint/type-annotation-spacing': string;
    '@typescript-eslint/typedef': string;
};
export { typescriptDisabledRule };
