"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unicorn = void 0;
const unicorn_disabled_rule_1 = require("./rule/unicorn_disabled_rule");
const unicorn_general_rule_1 = require("./rule/unicorn_general_rule");
const unicorn = {
    plugins: ['unicorn'],
    rules: {
        ...unicorn_disabled_rule_1.unicornDisabledRule,
        ...unicorn_general_rule_1.unicornGeneralRule
    }
};
exports.unicorn = unicorn;
//# sourceMappingURL=unicorn.js.map